Subject: Re: Newbie grief

From: Rich Pixley <[email-masked]>
Date: Thu, 03 May 2012 15:39:09 -0700

On 5/3/12 15:33 , Rich Pixley wrote:
> On 5/3/12 14:13 , Junio C Hamano wrote:
>> Ronan Keryell<[email-masked]>   writes:
>>>>>>>> On Thu, 03 May 2012 12:13:46 -0700, Rich Pixley<[email-masked]>   said:
>>>       Rich>   * the hg error messages are straightforward, clear, and don't
>>>       Rich>   require any deep knowledge of the source code control system
>>>       Rich>   or it's limitations.  (I still don't understand what the git
>>>       Rich>   message on collision is saying.)
>>>
>>> This is a very good suggestion.
>>> ...
>>> At least, print a simpler message with some typical use case causing
>>> this and some workflow ideas before the detailed explanation.
>> It indeed is a good starting point to make a suggestion, but there is
>> nothing actionable in the above by itself, especially since "typical use
>> case" is quite different for different Git users.
> How about, "Your push can't be made because it would cause an
> irreconcilable collision.  You probably want to pull and merge before
> attempting to push again."

Er... "Your push can't be made because it would cause an irreconcilable 
collision.  You probably want to fetch and merge before attempting to 
push again."

--rich